Summary:	Simple GUI for MPlayer
Name:		gnome-mplayer
Version:	0.9.4
Release:	%mkrel 1
License:	GPLv2+
Group:		Video
URL:		http://kdekorte.googlepages.com/gnomemplayer
Source:		http://gnome-mplayer.googlecode.com/files/%name-%version.tar.gz
Patch0:		gnome-mplayer-0.9.3-fix-str-fmt.patch
Requires:	mplayer
BuildRequires:	libgnome2-devel
BuildRequires:	gnomeui2-devel
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
BuildRequires:	libmusicbrainz3-devel
BuildRequires:	libalsa-devel curl-devel
BuildRequires:	libnotify-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
GNOME MPlayer is a simple GUI for MPlayer. It is intended to be a
nice tight player and provide a simple and clean interface to
MPlayer. GNOME MPlayer has a rich API that is exposed via DBus.
Using DBus you can control a single or multiple instances of GNOME
MPlayer from a single command.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor='' \
	--add-category="Audio;Video;GTK;Player;GNOME" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/*.desktop

mv %{buildroot}%{_docdir}/%{name} installed-docs
rm installed-docs/{INSTALL,COPYING}

# zero length docs
find installed-docs -size 0 | xargs rm

install -d -m755 %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48}/apps

convert %{name}.png -resize 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert %{name}.png -resize 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert %{name}.png -resize 48x48 %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png

%find_lang %{name}

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post
%post_install_gconf_schemas %{name}
%{update_menus}
%{update_desktop_database}
%update_icon_cache hicolor
%endif

%preun
%preun_uninstall_gconf_schemas %{name}

%if %mdkversion < 200900
%postun
%{clean_menus}
%{clean_desktop_database}
%clean_icon_cache hicolor
%endif

%files -f %{name}.lang
%defattr(-,root,root)
%doc installed-docs/*
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog

* Fri Feb 27 2009 Mario Blättermann <rpm@mandrivauser.de> 0.9.4-1mud2009.0
- Rebuid for MUde

* Sun Feb 08 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.4-1mdv2009.1
+ Revision: 338563
- update to new version 0.9.4

* Tue Jan 20 2009 Funda Wang <fundawang@mandriva.org> 0.9.3-1mdv2009.1
+ Revision: 331902
- New version 0.9.3

  + Oden Eriksson <oeriksson@mandriva.org>
    - lowercase ImageMagick

* Sat Nov 22 2008 Funda Wang <fundawang@mandriva.org> 0.9.2-1mdv2009.1
+ Revision: 305772
- New version 0.9.2

* Sun Nov 02 2008 Funda Wang <fundawang@mandriva.org> 0.9.1-1mdv2009.1
+ Revision: 299270
- New version 0.9.1

* Sat Nov 01 2008 Funda Wang <fundawang@mandriva.org> 0.9.0-1mdv2009.1
+ Revision: 299127
- new versio 0.9.0

* Sat Oct 11 2008 Funda Wang <fundawang@mandriva.org> 0.8.0-1mdv2009.1
+ Revision: 292068
- New version 0.8.0

* Fri Aug 15 2008 Funda Wang <fundawang@mandriva.org> 0.7.0-1mdv2009.0
+ Revision: 272444
- new version 0.7.0

* Thu Jul 03 2008 Funda Wang <fundawang@mandriva.org> 0.6.3-1mdv2009.0
+ Revision: 230938
- update to new version 0.6.3
- new url and source url

* Fri Jun 13 2008 Funda Wang <fundawang@mandriva.org> 0.6.2-1mdv2009.0
+ Revision: 218648
- New version 0.6.2

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Apr 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-1mdv2009.0
+ Revision: 196079
- new version
- put icons into fd.o directory
- spec file clean

* Fri Feb 29 2008 Anssi Hannula <anssi@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 176574
- new version

* Fri Jan 18 2008 Funda Wang <fundawang@mandriva.org> 0.5.4-1mdv2008.1
+ Revision: 155012
- New version 0.5.4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Dec 14 2007 Jérôme Soyer <saispo@mandriva.org> 0.5.3-1mdv2008.1
+ Revision: 119721
- New release

* Fri Nov 09 2007 Jérôme Soyer <saispo@mandriva.org> 0.5.2-1mdv2008.1
+ Revision: 107070
- New release

* Fri Oct 12 2007 Jérôme Soyer <saispo@mandriva.org> 0.5.1-1mdv2008.1
+ Revision: 97322
- New release 0.5.1

* Thu Aug 30 2007 Funda Wang <fundawang@mandriva.org> 0.5.0-1mdv2008.0
+ Revision: 75193
- New version 0.5.0

* Wed Jul 18 2007 trem <trem@mandriva.org> 0.4.7-1mdv2008.0
+ Revision: 53352
- new release 0.4.7

* Sat May 26 2007 Anssi Hannula <anssi@mandriva.org> 0.4.6-2mdv2008.0
+ Revision: 31609
- requires mplayer

* Sat May 26 2007 Anssi Hannula <anssi@mandriva.org> 0.4.6-1mdv2008.0
+ Revision: 31606
- initial Mandriva release

